%define major 43
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define fname %name-%{version}
%define aqhbcimajor 24
%define aqhbcilibname %mklibname aqhbci %aqhbcimajor
%define ofxmajor 7
%define ofxlibname %mklibname aqofxconnect %ofxmajor
%define cppmajor 0
%define cpplibname %mklibname aqbankingpp %cppmajor
%define ebicsmajor 0
%define ebicslibname %mklibname aqebics %ebicsmajor
%define paypalmajor 0
%define paypallibname %mklibname aqpaypal %paypalmajor

#used in the files list, it is the x.y part of x.y.z version
%define bigversion 5.99

Name: aqbanking
Summary: A library for online banking functions and financial data import/export
Version: 5.99.40beta
Release: %mkrel 4
Source: https://www.aquamaniac.de/rdm/attachments/download/203/%name-%{version}.tar.gz
Group: System/Libraries
License: GPLv2+
URL: http://www.aquamaniac.de/
BuildRequires: pkgconfig(libofx) >= 0.8.2
BuildRequires: gmp-devel
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gwengui-gtk3)
BuildRequires: pkgconfig(gwenhywfar)
BuildRequires: pkgconfig(ktoblzcheck) >= 1.10
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(xmlsec1-gnutls) >= 1.0.0
Obsoletes: aqbanking-ofx <= 5.7.8
Obsoletes: aqebics <= 5.7.8
Obsoletes: aqhbci <= 5.7.8
Obsoletes: aqpaypal <= 5.7.8

%description
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package -n %libname
Summary: A library for online banking functions and financial data import/export
Group: System/Libraries
Requires: %name >= %version
Obsoletes: %{ofxlibname} <= %{version}
Obsoletes: %{aqhbcilibname} <= %{version}
Obsoletes: %{cpplibname} <= %{version}
Obsoletes: %{ebicslibname} <= %{version}
Obsoletes: %{paypallibname} <= %{version}

%description -n %libname
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package -n %develname
Summary: Aqbanking development kit
Group: Development/C++
Requires: %{libname} = %{version}
Provides: lib%name-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}
Requires: opensp-devel

%description -n %develname
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.

%prep
%setup -q

%build

# upstream was still using automake1.14
#autoreconf -vfi

%configure2_5x --disable-static
%make_build

%install
%make_install

find %buildroot -name '*.la' -delete

%find_lang %name
mv %buildroot%_datadir/doc/%name installed-docs

%files -f %name.lang
%doc installed-docs
%{_bindir}/aqbanking-cli
%{_bindir}/*-tool
%{_bindir}/*-tool4
%{_libdir}/%{name}
%{_datadir}/%{name}

%files -n %libname
%{_libdir}/libaqbanking.so.%{major}{,.*}

%files -n %develname
%{_bindir}/aqbanking-config
%{_includedir}/aqbanking6
%{_libdir}/cmake/aqbanking-%{bigversion}
%{_libdir}/libaqbanking.so
%{_datadir}/aclocal/aqbanking.m4
%{_libdir}/pkgconfig/aqbanking.pc


%changelog
* Wed Nov 06 2019 zezinho <zezinho> 5.99.40beta-4.mga7
+ Revision: 1458408
- some more forgotten obsoletes
- move libs obsoleted from lib-devel to lib
- obsoletes aqhbci to allow mga6 upgrade mga#25658
- new version fixes SEPA
- add conflicts for removed subpackage aqhbci
- new version 5.99.39beta to fix mga#25515

* Fri Sep 21 2018 umeabot <umeabot> 5.7.8-3.mga7
+ Revision: 1294477
- Mageia 7 Mass Rebuild

* Sat Feb 24 2018 zezinho <zezinho> 5.7.8-2.mga7
+ Revision: 1204719
- rebuild against gwenhyfar 4.20

* Fri Feb 23 2018 zezinho <zezinho> 5.7.8-1.mga7
+ Revision: 1204386
- add new paypal lib
- new version 5.7.8

* Sat Nov 04 2017 zezinho <zezinho> 5.6.12-1.mga7
+ Revision: 1175818
- new version prepared by Diogo Leal

* Wed Jan 13 2016 daviddavid <daviddavid> 5.5.1-2.mga6
+ Revision: 922874
- rebuild for new gnutls 3.4.8

* Fri Sep 04 2015 zezinho <zezinho> 5.5.1-1.mga6
+ Revision: 872812
- new version 5.5.1

* Wed Oct 15 2014 umeabot <umeabot> 5.3.6-3.mga5
+ Revision: 751182
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.3.6-2.mga5
+ Revision: 677877
- Mageia 5 Mass Rebuild

* Wed Feb 12 2014 fwang <fwang> 5.3.6-1.mga5
+ Revision: 589689
- update file list
- update libmajor
- update file list
- update br
- 5.3.6

* Sat Oct 19 2013 umeabot <umeabot> 5.0.25-4.mga4
+ Revision: 532509
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 5.0.25-3.mga4
+ Revision: 468584
- update BuildRequires after OpenSP was renamed to opensp

* Fri Jan 11 2013 umeabot <umeabot> 5.0.25-2.mga3
+ Revision: 345990
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 03 2012 fwang <fwang> 5.0.25-1.mga3
+ Revision: 287525
- update libmajor
- new version 5.0.25

* Fri Jun 08 2012 fwang <fwang> 5.0.23-1.mga3
+ Revision: 257655
- new version 5.0.23

* Fri Mar 16 2012 zezinho <zezinho> 5.0.22-2.mga2
+ Revision: 223678
- remove old obsoletes

* Mon Jan 09 2012 zezinho <zezinho> 5.0.22-1.mga2
+ Revision: 194316
- new version

* Sat Dec 31 2011 fwang <fwang> 5.0.20-1.mga2
+ Revision: 189228
- update file list
- update file list
- new version 5.0.20

* Tue Oct 11 2011 tv <tv> 5.0.16-1.mga2
+ Revision: 153961
- new release

* Wed Sep 21 2011 fwang <fwang> 5.0.15-1.mga2
+ Revision: 146347
- new version 5.0.15
- new version 5.0.14

* Mon Jun 27 2011 fwang <fwang> 5.0.10-1.mga2
+ Revision: 114696
- update file list
- new version 5.0.10

* Thu Feb 10 2011 spuhler <spuhler> 5.0.2-1.mga1
+ Revision: 49659
- removed buildroot definition from .spec
- imported package aqbanking


* Wed Feb 09 2011 Funda Wang <fwang@mandriva.org> 5.0.2-1mdv2011.0
+ Revision: 636963
- New version 5.0.2

* Tue Sep 21 2010 Funda Wang <fwang@mandriva.org> 5.0.1-1mdv2011.0
+ Revision: 580318
- new version 5.0.1

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 5.0.0-1mdv2011.0
+ Revision: 574524
- new version 5.0.0

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 4.99.25-1mdv2011.0
+ Revision: 574303
- new version 4.99.25

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 4.99.20-1mdv2011.0
+ Revision: 571761
- New version 4.99.20

  + Götz Waschk <waschk@mandriva.org>
    - remove qt build dep

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 4.99.14-1mdv2011.0
+ Revision: 565970
- New version 4.99.14

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 4.99.11-1mdv2011.0
+ Revision: 563064
- New version 4.99.11 towards 5.0

* Wed Apr 14 2010 Funda Wang <fwang@mandriva.org> 4.2.9-1mdv2010.1
+ Revision: 534693
- new version 4.2.9

* Wed Mar 31 2010 Funda Wang <fwang@mandriva.org> 4.2.7-1mdv2010.1
+ Revision: 530487
- New version 4.2.7

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 4.2.4-3mdv2010.1
+ Revision: 503969
- byebye qt3 build

* Tue Feb 09 2010 Funda Wang <fwang@mandriva.org> 4.2.4-2mdv2010.1
+ Revision: 502930
- rebuild for new gmp

* Sat Feb 06 2010 Frederik Himpe <fhimpe@mandriva.org> 4.2.4-1mdv2010.1
+ Revision: 501507
- Update to new version 4.2.4

* Sat Jan 09 2010 Funda Wang <fwang@mandriva.org> 4.2.3-1mdv2010.1
+ Revision: 488120
- new version 4.2.3

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 4.2.2 (new libaqhbci major)

* Thu Sep 24 2009 Götz Waschk <waschk@mandriva.org> 4.1.7-2mdv2010.0
+ Revision: 448329
- readd qbanking front-end, but link it with qt4

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 4.1.7-1mdv2010.0
+ Revision: 448015
- Update to new version 4.1.7

* Fri Sep 11 2009 Emmanuel Andry <eandry@mandriva.org> 4.1.4-1mdv2010.0
+ Revision: 438476
- New version 4.1.4
- bump minimal gwenhywfar version BR

* Sun Jun 21 2009 Funda Wang <fwang@mandriva.org> 4.1.0-1mdv2010.0
+ Revision: 387556
- New version 4.1.0

* Sat May 30 2009 Funda Wang <fwang@mandriva.org> 4.0.0-1mdv2010.0
+ Revision: 381421
- New version 4.0.0

* Wed May 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.8.2-2mdv2010.0
+ Revision: 380046
- Fix build and file list
- Remove qt3 lib requires
- Remove qt3 support  we will package q4banking soon

* Wed Mar 04 2009 Götz Waschk <waschk@mandriva.org> 3.8.2-1mdv2009.1
+ Revision: 348260
- new version

* Thu Dec 04 2008 Götz Waschk <waschk@mandriva.org> 3.8.1-1mdv2009.1
+ Revision: 309990
- new version
- fix source URL

* Sat Oct 18 2008 Götz Waschk <waschk@mandriva.org> 3.8.0-1mdv2009.1
+ Revision: 294859
- new version
- new qtmajor

* Wed Aug 27 2008 Götz Waschk <waschk@mandriva.org> 3.7.2-1mdv2009.0
+ Revision: 276482
- new version

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 3.7.1-1mdv2009.0
+ Revision: 274299
- new version
- bump deps
- update file list

* Fri Aug 01 2008 Funda Wang <fwang@mandriva.org> 3.6.2-1mdv2009.0
+ Revision: 259130
- New version 3.6.2

* Wed Jul 09 2008 Götz Waschk <waschk@mandriva.org> 3.6.1-1mdv2009.0
+ Revision: 233051
- new version

* Sun Jul 06 2008 Götz Waschk <waschk@mandriva.org> 3.6.0-1mdv2009.0
+ Revision: 232301
- new version
- update file list

* Sat Jun 14 2008 Funda Wang <fwang@mandriva.org> 3.5.1-1mdv2009.0
+ Revision: 219147
- comment out non-exists subpackages
- New version 3.5.1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 08 2008 Funda Wang <fwang@mandriva.org> 3.5.0-1mdv2009.0
+ Revision: 216782
- New version 3.5.0
- fix url

* Wed May 28 2008 Funda Wang <fwang@mandriva.org> 3.4.2-1mdv2009.0
+ Revision: 212175
- New version 3.4.2

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Wed Apr 23 2008 Götz Waschk <waschk@mandriva.org> 3.4.0-1mdv2009.0
+ Revision: 196754
- new version

* Wed Apr 16 2008 Götz Waschk <waschk@mandriva.org> 3.3.0-1mdv2009.0
+ Revision: 194654
- fix buildrequires
- new version
- remove obsolete subpackages
- new major versions
- bump deps

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 23 2007 Götz Waschk <waschk@mandriva.org> 2.3.3-1mdv2008.1
+ Revision: 111476
- fix build on x86_64
- new version
- new devel name
- fix buildrequires
- merge some of the devel packages

* Tue May 29 2007 Frederic Crozat <fcrozat@mandriva.com> 2.2.9-1mdv2008.0
+ Revision: 32532
- Release 2.2.9


* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 2.2.6-1mdv2007.0
+ Revision: 110815
- new version

* Fri Dec 29 2006 Götz Waschk <waschk@mandriva.org> 2.2.4-1mdv2007.1
+ Revision: 102534
- new version
- fix buildrequires

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2007.1
+ Revision: 89587
- Import aqbanking

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2007.1
- New version 2.2.3

* Sun Aug 27 2006 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdv2007.0
- update file list
- New release 2.2.1

* Sat Jun 17 2006 Götz Waschk <waschk@mandriva.org> 2.1.0-1mdv2007.0
- update file list
- bump major
- bump deps
- New release 2.1.0

* Thu Jun 08 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-2mdv2007.0
- fix build

* Tue Apr 04 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-1mdk
- New release 2.0.0

* Tue Mar 28 2006 Götz Waschk <waschk@mandriva.org> 1.9.11-0.rc1.1mdk
- New release 1.9.11

* Fri Mar 24 2006 Götz Waschk <waschk@mandriva.org> 1.9.10-1mdk
- New release 1.9.10

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 1.9.9-1mdk
- bump deps
- New release 1.9.9

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 1.9.8-1mdk
- add dtaus package
- update majors
- New release 1.9.8

* Mon Feb 20 2006 Götz Waschk <waschk@mandriva.org> 1.9.7-5mdk
- fix conflict

* Mon Feb 20 2006 Götz Waschk <waschk@mandriva.org> 1.9.7-4mdk
- obsolete aqbanking-ofx-qt3

* Mon Feb 20 2006 Götz Waschk <waschk@mandriva.org> 1.9.7-3mdk
- fix buildrequires

* Sun Feb 19 2006 Götz Waschk <waschk@mandriva.org> 1.9.7-2mdk
- add conflict

* Fri Feb 17 2006 Götz Waschk <waschk@mandriva.org> 1.9.7-1mdk
- update file list
- bump deps
- new major
- New release 1.9.7

* Wed Jan 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.8.0-4mdk
- rebuild for new gwenhywfar

* Mon Jan 09 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.8.0-3mdk
- Rebuild

* Tue Dec 06 2005 Götz Waschk <waschk@mandriva.org> 1.8.0-2mdk
- build with ktobblzcheck

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdk
- merge with aqhbci
- update buildrequires
- New release 1.8.0

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-4mdk
- rebuilt against openssl-0.9.8a

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-3mdk
- Remove .so file from lib package

* Wed Jul 27 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.0-2mdk
- cosmetics

* Sat Jul 16 2005 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdk
- New release 1.2.0

* Tue Jul 12 2005 Götz Waschk <waschk@mandriva.org> 1.1.0-1mdk
- update file list
- bump deps
- New release 1.1.0

* Wed Jun 15 2005 Götz Waschk <waschk@mandriva.org> 1.0.12-1mdk
- New release 1.0.12

* Sat Jun 04 2005 Götz Waschk <waschk@mandriva.org> 1.0.11-1mdk
- update file list
- New release 1.0.11

* Sat May 21 2005 Götz Waschk <waschk@mandriva.org> 1.0.10-1mdk
- New release 1.0.10

* Thu May 05 2005 Götz Waschk <waschk@mandriva.org> 1.0.9-2mdk
- fix devel deps

* Tue Apr 26 2005 Götz Waschk <waschk@mandriva.org> 1.0.9-1mdk
- requires new gwenhywfar
- New release 1.0.9

* Thu Apr 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk 
- Release 1.0.7

* Mon Feb 21 2005 Götz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- 1.0.5beta

* Mon Feb 21 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- New release 0.9.9

* Tue Dec 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-2mdk 
- Fix .la files

* Mon Dec 13 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.8-1mdk
- initial package

